Page MenuHomeFreeBSD

vt fontcvt: move to usr.bin/vtfontcvt
ClosedPublic

Authored by emaste on Jun 5 2014, 8:16 PM.

Details

Reviewers
ray
wblock
Summary

vtfontcvt is useful for end users to convert arbitrary bitmap fonts
for use by vt(4). It can also be used as a build tool so that we can
keep the source font data in share/vt/fonts, rather than uuencoded
binaries.

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

emaste updated this revision to Diff 310.Jun 5 2014, 8:16 PM
emaste retitled this revision from to vt fontcvt: move to usr.bin/vtfontcvt.
emaste updated this object.
emaste edited the test plan for this revision. (Show Details)
wblock accepted this revision.Jun 5 2014, 8:51 PM
wblock edited edge metadata.

The man page is terse but passes both igor and mandoc -Tlint.

This revision is now accepted and ready to land.Jun 5 2014, 8:51 PM
ray accepted this revision.Jun 5 2014, 9:29 PM
ray edited edge metadata.

Looks good to me.

emaste added inline comments.Jun 6 2014, 1:51 PM
usr.bin/vtfontcvt/vtfontcvt.8
29

I'm not sure if this should really be section 8 or 1, but 8 seemed slightly more appropriate.

46

Probably add:

HEX format files must have the file extension .hex .

47

Add

.Xr vidcontrol 1 ,

emaste updated this revision to Diff 345.Jun 9 2014, 9:11 PM
emaste edited edge metadata.

Improve man page and hook up to build

wblock added inline comments.Jun 10 2014, 12:35 AM
usr.bin/vtfontcvt/vtfontcvt.8
48

This should use the .Pa (pathname) macro to make clear that the final dot is not part of the filename:

HEX format files must have the file extension
.Pa .hex .

54

"It" is nonspecific.

The default is 16.

55

"It" is nonspecific.

Font height is set automatically for HEX files with a

56

Seems like this should have markup, but I don't know exactly what to use.
Maybe .Li (literal)?

.Li # Height: Ar height

Untested, there's probably a better way.

62

As above.

The default is 8.

63

As above.

Font width is set...

64

As above, if we can find the right markup.

wblock added inline comments.Jun 10 2014, 12:42 AM
usr.bin/vtfontcvt/vtfontcvt.8
51

mandoc -Tlint points out that "-indent" is a fake parameter. I've been using just

.Bl -tag -width "12345678"

The 12345678 is just used for an indent width, the quotes are to help indicate it is an argument.

66

mandoc -Tlint detected a missing .El before this line to end the list above.

emaste updated this revision to Diff 350.Jun 10 2014, 12:38 PM

manpage fixes suggested by wblock

emaste updated this revision to Diff 351.Jun 10 2014, 12:40 PM

manpage fixes suggested by wblock
(proper diff uploaded this time)

emaste added inline comments.Jun 10 2014, 12:42 PM
usr.bin/vtfontcvt/vtfontcvt.8
56

That looks right, but it seems odd within the paragraph then. This version looks "right", at least:

... have a
.Pp
.Li # Height: Ar height
.Pp
comment before ...

-h height
          Set font height.  The default is 16.  Font height is set auto-
          matically for HEX files that have a

          # Height: height

          comment before any font data.

The paragraph breaks are somewhat messy, and kind of defeat the intent of semantic markup (marking things for what they are and making the toolchain render them correctly).

There are two ways around this. Well, two that I tried.

  1. Make the example comment line a quoted literal (.Ql):

Font height is set automatically for HEX files that have a
.Ql # Height: Ar height
comment before any font data.

Renders as:

Font height is set automatically for HEX files that have a `# Height height' comment before any font data.

The single quotes added by .Ql delimit the comment line.

  1. Break the sentence up:

HEX files can have a comment describing the font height before any font data:
.Pp
.Li # Height Ar height
.Pp
Font height is set automatically for files with the comment.

Version 1 seems better and simpler to me.

For <> around height, replace the Ar above with Aq.

usr.bin/vtfontcvt/vtfontcvt.8
56

How about

.Ql # Height: Ar height

This renders it in `' quotes, with "height" underlined. Are the <> brackets actually present?

emaste updated this revision to Diff 352.Jun 10 2014, 1:53 PM

fix up markup for .HEX format comment

emaste added a comment.EditedJun 10 2014, 1:57 PM

Yes, version 1 looks good. The < > are not present in the file, that was just my earlier attempt at marking up a parameter.

-h height
          Set font height.  The default is 16.  Font height is set auto-
          matically for HEX files that have a `# Height: height' comment
          before any font data.

(height is underlined)